#!/bin/bash
#
# extract country location from factbook 'geos.zip':
#  https://www.cia.gov/cia/download.html
#
# Author: JM. Philippe

cd ${0/geos.sh}
RESULTFILE='geos.txt'
COUNTRYEXP='class="CountryName">[^<]*'
LATLONGEXP='[0-9]{1,3} [0-9]{2} (N|S), [0-9]{1,3} [0-9]{2} (E|W)'

echo '# Country, Latitude, Longitude' > $RESULTFILE
for FILE in $(ls *.html); do
	COUNTRY=$(grep --max-count 1 -oEe "$COUNTRYEXP" $FILE | grep -oEe '[^>]*$')
	if [ -n "$COUNTRY" ]; then
		# get only the first pair LAT, LONG
		LATLONG=$(grep -oEe "$LATLONGEXP" $FILE | grep --max-count 1 -oEe "$LATLONGEXP" | sed 's/,/;/')
		if [ -n "$LATLONG" ] ; then
			echo "$COUNTRY; $LATLONG" >> $RESULTFILE
		fi
	fi
done
