# script to create distribution archives
#
# Author:
#	JM. Philippe	v0.1 - 24/03/2007
#
# Copyright Jean-Michel Philippe (c) 2007
#   <http://philipjm.free.fr/blog/>
#
# This is open source software released under the GPL license.
# The full text of this license is found in the file 'LICENSE',
# included with this source code package.

# variables
NAME='whois'
EXCLUDE_DIRS='--exclude=dist --exclude=build'
EXCLUDE_FILES='--exclude=.* --exclude=*.csv.db --exclude=ip-to-country.* --exclude=searched-IPs.db --exclude=*.pyc --exclude=*~ --exclude=MANIFEST --exclude=world.jpg'

# initialisations
TMP_FILE="maketar-temp-file.tar.bz2"
ARCHIVE_FILE=$NAME-dev-`date +"%Y%m%d"`
PROJECT_DIR=${0/maketar.sh}
cd $PROJECT_DIR

# create python distribution archives
if ! [ -d dist ]; then
	mkdir dist
fi
if [ -f MANIFEST ]; then
	rm MANIFEST
fi
./setup.py sdist --formats=gztar
#./setup.py bdist_rpm --binary-only --packager="JM. Philippe <http://philipjm@free.fr/blog/>"
#rm $(ls dist/$NAME*noarch.rpm)
#fakeroot alien --to-deb $(ls dist/$NAME*.rpm)
#mv $(ls $NAME*.deb) dist/
./setup.py bdist_wininst
if [ -d build ]; then
	rm -fr build/
fi

# create dev tarball
echo "making the dev tarball..."
cd ..
eval tar cjf $TMP_FILE $EXCLUDE_DIRS $EXCLUDE_FILES $NAME
mv $TMP_FILE $NAME/dist/$ARCHIVE_FILE.tar.bz2
